RuntimeError: Failed to process string with tex because latex could not be found

Hello again guys,

I’m facing a really simple problem.
I just want to plot some scores.
It is a list with float entries

normal_scores
Out[2]:
[0.5356296896934509,
0.9024431705474854,
0.5813982486724854,
0.3370625376701355,
0.4496380090713501,
0.9165023565292358,
0.24886716902256012,
0.8489370942115784,
0.6777681112289429,
0.448945015668869,
0.7219023108482361,
0.24781900644302368,
0.9817516803741455,
0.46235814690589905,
0.5024040937423706,
0.08573635667562485,
0.6408416628837585,
1.0,
0.7306086421012878,
0.7858248353004456,
0.11039099842309952,
0.6112627983093262]

type(normal_scores)
Out[3]: list

LIBRARIES

from future import print_function
import os
from sklearn.metrics import roc_curve, auc, average_precision_score, f1_score
from scipy.optimize import brentq
from scipy.interpolate import interp1d
import matplotlib.pyplot as plt
from matplotlib import rc
import numpy

plt.plot(normal_scores)

Error Message:

Exception in Tkinter callback
Traceback (most recent call last):
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 304, in _run_checked_subprocess
stderr=subprocess.STDOUT)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 411, in check_output
**kwargs).stdout
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 488, in run
with Popen(*popenargs, **kwargs) as process:
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 800, in init
restore_signals, start_new_session)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 1207, in execute_child
startupinfo)
File “C:\Program Files\JetBrains\PyCharm Community Edition 2020.3.4\plugins\python-ce\helpers\pydev_pydev_bundle\pydev_monkey.py”, line 575, in new_CreateProcess
return getattr(subprocess, original_name)(app_name, patch_arg_str_win(cmd_line), *args)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\tkinter_init
.py", line 1705, in call
return self.func(*args)
File "C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\tkinter_init
.py", line 749, in callit
func(*args)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends_backend_tk.py”, line 335, in idle_draw
self.draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_tkagg.py”, line 9, in draw
super(FigureCanvasTkAgg, self).draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 388, in draw
self.figure.draw(self.renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\figure.py”, line 1709, in draw
renderer, self, artists, self.suppressComposite)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axes_base.py”, line 2645, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1206, in draw
renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in _get_tick_bboxes
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 890, in get_window_extent
bbox, info, descent = self._get_layout(self._renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 291, in _get_layout
ismath=“TeX” if self.get_usetex() else False)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 201, in get_text_width_height_descent
s, fontsize, renderer=self)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 448, in get_text_width_height_descent
dvifile = self.make_dvi(tex, fontsize)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 338, in make_dvi
texfile], tex)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 308, in _run_checked_subprocess
‘found’.format(command[0])) from exc
RuntimeError: Failed to process string with tex because latex could not be found
Exception in Tkinter callback
Traceback (most recent call last):
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 304, in _run_checked_subprocess
stderr=subprocess.STDOUT)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 411, in check_output
**kwargs).stdout
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 488, in run
with Popen(*popenargs, **kwargs) as process:
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 800, in init
restore_signals, start_new_session)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 1207, in _execute_child
startupinfo)
File “C:\Program Files\JetBrains\PyCharm Community Edition 2020.3.4\plugins\python-ce\helpers\pydev_pydev_bundle\pydev_monkey.py”, line 575, in new_CreateProcess
return getattr(subprocess, original_name)(app_name, patch_arg_str_win(cmd_line), *args)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\tkinter_init
.py", line 1705, in call
return self.func(*args)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends_backend_tk.py”, line 256, in resize
self.draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_tkagg.py”, line 9, in draw
super(FigureCanvasTkAgg, self).draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 388, in draw
self.figure.draw(self.renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\figure.py”, line 1709, in draw
renderer, self, artists, self.suppressComposite)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axes_base.py”, line 2645, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1206, in draw
renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in _get_tick_bboxes
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 890, in get_window_extent
bbox, info, descent = self._get_layout(self._renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 291, in _get_layout
ismath=“TeX” if self.get_usetex() else False)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 201, in get_text_width_height_descent
s, fontsize, renderer=self)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 448, in get_text_width_height_descent
dvifile = self.make_dvi(tex, fontsize)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 338, in make_dvi
texfile], tex)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 308, in _run_checked_subprocess
‘found’.format(command[0])) from exc
RuntimeError: Failed to process string with tex because latex could not be found
Exception in Tkinter callback
Traceback (most recent call last):
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 304, in _run_checked_subprocess
stderr=subprocess.STDOUT)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 411, in check_output
**kwargs).stdout
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 488, in run
with Popen(*popenargs, **kwargs) as process:
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 800, in init
restore_signals, start_new_session)
File “C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\subprocess.py”, line 1207, in execute_child
startupinfo)
File “C:\Program Files\JetBrains\PyCharm Community Edition 2020.3.4\plugins\python-ce\helpers\pydev_pydev_bundle\pydev_monkey.py”, line 575, in new_CreateProcess
return getattr(subprocess, original_name)(app_name, patch_arg_str_win(cmd_line), *args)
FileNotFoundError: [WinError 2] Das System kann die angegebene Datei nicht finden
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\tkinter_init
.py", line 1705, in call
return self.func(*args)
File "C:\Users\Maximilian Miotke.conda\envs\ganomaly\lib\tkinter_init
.py", line 749, in callit
func(*args)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends_backend_tk.py”, line 335, in idle_draw
self.draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_tkagg.py”, line 9, in draw
super(FigureCanvasTkAgg, self).draw()
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 388, in draw
self.figure.draw(self.renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\figure.py”, line 1709, in draw
renderer, self, artists, self.suppressComposite)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axes_base.py”, line 2645, in draw
mimage._draw_list_compositing_images(renderer, self, artists)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\image.py”, line 135, in _draw_list_compositing_images
a.draw(renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\artist.py”, line 38, in draw_wrapper
return draw(artist, renderer, *args, **kwargs)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1206, in draw
renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in _get_tick_bboxes
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\axis.py”, line 1151, in
for tick in ticks if tick.label1.get_visible()],
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 890, in get_window_extent
bbox, info, descent = self._get_layout(self._renderer)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\text.py”, line 291, in _get_layout
ismath=“TeX” if self.get_usetex() else False)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\backends\backend_agg.py”, line 201, in get_text_width_height_descent
s, fontsize, renderer=self)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 448, in get_text_width_height_descent
dvifile = self.make_dvi(tex, fontsize)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 338, in make_dvi
texfile], tex)
File “C:\Users\Maximilian Miotke\AppData\Roaming\Python\Python37\site-packages\matplotlib\texmanager.py”, line 308, in _run_checked_subprocess
‘found’.format(command[0])) from exc
RuntimeError: Failed to process string with tex because latex could not be found

Does someone know what the problem could be?
Many thanks in advance!

BR
Max

This issue doesn’t seem to be PyTorch-related to you might get a better and faster answer in a matplotlib-specific discussion board or e.g. StackOverflow.

With that being said, I cannot reproduce the issue using plt.plot(normal_scores) and matplotlib successfully creates the plot:
image